# Manual de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&traductor.Antoni.Bella;

2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Aquest document és el manual d'usuari per a l'aplicació &konsole;.

&konsole; és un emulador de terminal X per a &kde;.

KDE
konsole
kdebase
comandament
línia

## Introducció a &konsole;

### Què és una terminal?

Els sistemes operatius &UNIX; estan dissenyats originalment com a sistemes de tan sols text, controlats per comandaments de teclat -és el que es coneix amb el nom d'interfície de línia de comandaments (CLI). El &X-Window;, el &kde; i d'altres projectes han afegit des de llavores la interfície gràfica que esteu usant ara. De tota manera, el sistema CLI base encara hi és, i tot sovint és el més simple, ràpid i potent manera de realitzar moltes tasques.

&konsole; és el que es coneix com un emulador de terminal X, sovint anomenat un terminal o un intèrpret de comandaments (shell). Us ofereix l'equivalent a una pantalla de text antiga en el vostre escriptori, però podreu compartir la pantalla amb les vostres aplicacions gràfiques. Els usuaris de &Windows; potser estaran familiaritzats amb la utilitat MS-DOS Prompt, la qual te una funció anàloga però oferint una línia de comandaments de DOS per a &Windows;. (Tot i que els CLI de &UNIX; ofereixen molta més potencia i facilitat d'ús que els de DOS!)

Explicar l'ús del CLI de &UNIX; està més enllà de l'objectiu d'aquest document, atès que requeriria un gran llibre. Afortunadament, hi ha molts llibres d'aquest tipus en varis idiomes en qualsevol llibreria o biblioteca. També hi ha tutorials disponibles en Internet. Gaudiu de &kde;, però no us esteu d'aprendre l'ús de la línia de comandaments! Descobrireu que fins i tot l'aprenentatge de les coses bàsiques facilitarà l'ús del vostre ordinador, tornant-se més amigable.

### Què fa tan especial a &konsole;?

Les característiques avançades de &konsole; inclouen una configuració senzilla i la capacitat d'usar múltiples terminals en una sola finestra, contribuint a mantenir ordenat l'escriptori.

Usant &konsole;, un usuari pot obrir:

- Sessions de consola &Linux;

- Sessions de terminal

- Sessions de pantalla

- Sessions del gestor de fitxers Midnight Commander

- Sessions de consola de root

- Sessions de root de Midnight Commander

- Sessions creades per l'usuari

Aquestes sessions es poden reanomenar per ajudar-vos a tenir localitzats tots els vostres terminals, o se'ls pot enviar senyals (STOP, CONT, HUP, INT, TERM, KILL).

Per a un major control sobre &konsole;, un usuari pot:

- Mostrar/Ocultar la barra de menús i/o els marcs

- Seleccionar la mida, el tipus de lletra, els esquemes de color i el mapa de teclat d'una finestra de &konsole;

- Canviar la localització de la barra de desplaçament o ocultar-la

- Canviar la localització de la barra de pestanyes o ocultar-la

Totes les opcions escollides poden fer-se predeterminades per a les següents sessions desant-les.

Per als interessats en la taxonomia dels terminals X lliures, n'hi ha dos més d'aquest tipus: xterm, l'escrit original fins i tot abans que X (un mes o així), i xvt, un clon de xterm més lleuger, en el que es basen la majoria dels derivats actuals (principalment eterm).

Després d'una dècada, &konsole; ha estat reescrit des del començament. Mentre que xterm ha estat definitivament abandonat (el seu fitxer `README` comença amb les paraules Abandon All Hope, Ye Who Enter Here -Abandoneu tota esperança, si entreu aquí-), &konsole; ofereix un inici agradable usant tecnologies actuals i comprensibles de X.

## Ús de &konsole;

### Inici

Quan s'inicia &konsole;, s'executa una aplicació (normalment un intèrpret de &UNIX;) en la finestra. Simplement escriviu a l'indicador.

Pantalla de &konsole;
Pantalla de &konsole;

&konsole; amb 4 sessions de terminal obertes.

També pot aparèixer a l'inici una finestra amb el Consell del dia, oferint consells sobre l'ús de &konsole;. Si no en voleu rebre, desmarqueu la caixa Mostra pistes en engegar.

### Historial

Segons les línies es van desplaçant fora de la part superior de la pantalla, es poden tornar a veure movent la barra de desplaçament cap a amunt, movent la roda del ratolí o usant les tecles &Maj;RePàg (per anar una pàgina enrere), &Maj;AvPàg (per anar una pàgina endavant), &Maj;Amunt (per anar una línia amunt) i &Maj;Avall (per anar una línia avall sempre i quan l'opció "Historial" estigui activada).

&konsole; també imita la consola de FreeBSD quan està premuda la tecla Bloq.Despl. Quan el blocat del desplaçament està activat, com a norma general es suspenen tant la sortida com l'entrada de la pantalla i us podeu moure al llarg de l'historial amb les tecles RePàg, AvPàg, Cursor amunt i Cursor avall.

L'historial de &konsole; es pot configurar via Arranjament Historial...

&konsole; proveeix un nombre d'accions relacionades amb l'historial des del menú Edita.

- Cercar en l'historial...

- Cerca següent

- Cerca anterior

- Desa historial com a...

- Neteja historial

- Neteja tots els historials

En &konsole;, les referències a l'historial estan formades pel text que es mostra en la finestra de &konsole;. L'intèrpret que s'executi en &konsole; (&pex; bash) també te un historial que no està relacionat amb l'historial de &konsole;.

### Sessions

Si accediu sovint a màquines remotes, o sempre executeu un conjunt similar d'aplicacions de terminal, podeu usar la característica sessions de &konsole; que us permetrà administrar les sessions de &kde; per a automatitzar-ne una gran quantitat. Deixi'ns mostrar-vos el següent exemple: Suposem que necessiteu obrir amb certa freqüència una sessió ssh a la màquina administració de manera que pugueu realitzar tasques genèriques d'administració. Com potser sabeu el botó Sessió nova situat en la barra de pestanyes de &konsole; conté un menú que es mostra si hi feu clic i manteniu premut el botó, de manera que es pugui seleccionar un nou tipus de sessió. Afegirem noves entrades al menú.

1. Fer clic sobre l'entrada del menú Arranjament Configura &konsole;...

2. Escollir la pestanya Sessió.

3. Omplir la primera entrada amb un nom. Aquest és el nombre que es mostrarà en el menú, i serà l'etiqueta usada en comptes de Terminal quan inicieu una sessió d'aquest tipus.

4. Introduïu un comandament de la mateixa manera en que ho faríeu si obríssiu una nova terminal i escriviu el comandament. Per al nostre primer exemple, escriviu ``ssh` administracio`.

5. A la part inferior del plafó, configureu l'aparença de la sessió. Podeu tenir diferents tipus de lletra, esquemes de color i tipus de $`TERM` per a cada sessió.

6. Prémer el botó Desa sessió... Un diàleg us demanarà que confirmeu el nom de fitxer.

7. Prémer Bé.

Ara hauria de ser possible mantenir premut el botó Sessió nova en la barra de pestanyes i seleccionar el nou tipus de sessió de la llista. S'obrirà un nou terminal en la finestra de &konsole;, amb el resultat de l'execució del comandament. En el nostre exemple, tindreu un requeriment de contrasenya per part de ssh, i quan la indiqueu, podreu accedir a la màquina remota. Es pot saltar aquest passa usant l'agent ssh, però aquest és un exemple que us permetrà avançar cap a coses més interessants. Potser voldreu enregistrar els errors http de la vostra cua remota en un servidor web. Podríeu usar un comandament similar a ``ssh` `-f` servidor_web `tail` `-f` `/var/log/httpd-error.log``.

També ho podeu usar per a executar comandaments locals. Intenteu crear una sessió en la que el comandament sigui ``tail` `-f` `/var/log/missatges``. En aquest cas, la sortida de l'aplicació en execució també tancarà la sessió del terminal.

Un ús molt interessant d'aquesta característica es que si sempre obriu el mateix grup de sessions, el &kde; les pot obrir totes automàticament quan inicieu una nova sessió de &kde;. Tan sols les haureu de tenir obertes quan sortiu del &kde; i es desaran amb vostra sessió de &kde;, restaurant-se a l'igual que qualsevol altra aplicació quan reinicieu el &kde;.

Podeu assignar dreceres a qualsevol sessió.

### Botons del ratolí

Aquesta secció detalla la utilització dels botons del ratolí per a dretans. Per a esquerrans, canvieu els botons esquerra i dret en el text de a sota.

Esquerra

  Tots els clics del &BER; s'envien a l'aplicació executada en &konsole;. Si una aplicació pot reaccionar als clics del ratolí, &konsole; ho indica mostrant una fletxa de cursor. Si no, mostra un cursor amb forma de I (una barra).

  Mantenint premut el &BER; i arrossegant el punter per la pantalla amb una aplicació que no suporti l'ús del ratolí seleccionareu una regió del text. Mentre s'arrossega, el text marcat es mostra ressaltat per a que es vegi millor. Seleccioneu Copia des del menú Edita per a copiar el text marcat al portapapers i que es pugui usar més tard amb &konsole; o una altra aplicació. El text seleccionat pot ser arrossegat i deixat en aplicacions compatibles. Feu clic sobre el text seleccionat i arrossegueu-lo cap a la localització desitjada. Depenent de la configuració de &kde;, potser us caldrà mantenir premuda la tecla &Ctrl; mentre arrossegueu.

  Normalment, s'inseriran caràcters de salt de línia al final de cada línia seleccionada. Això és millor per a tallar codi font, o la sortida d'un comandament en particular. Per a text normal, els salts de línia no solen ser importants. A vegades un preferiria que el text fos una cadena de caràcters que es formati automàticament al enganxar-los en una altra aplicació. Per a seleccionar el mode de text com a cadena, manteniu premuda la tecla &Ctrl; mentre continueu seleccionant normalment.

  Prémer les tecles &Ctrl; i &Alt; a la vegada que el &BER; seleccionareu una columna de text.

  Doble clic amb el &BER; per a seleccionar una paraula. Triple clic per a seleccionar una línia sencera.

  Si s'abasta la vora superior o inferior de l'àrea de text mentre s'està seleccionant, &konsole; farà un desplaçament amunt o avall, exposant eventualment text amb la memòria del cau. El desplaçament s'atura quan el ratolí s'atura.

  Després de deixar anar el botó del ratolí, &konsole; intenta mantenir el text en el portapapers visible mantenint per a això ressaltada l'àrea seleccionada. L'àrea marcada es tornarà normal tan aviat com s'alteri el contingut del portapapers, es modifiqui el text de l'àrea marcada o es faci clic amb el &BER;.

  Per a marcar text en una aplicació amb suport de ratolí (per exemple, Midnight Commander), s'ha de fer clic mentre es prem a la vegada la tecla &Maj;.

Mig

  Prement el &BMR; s'enganxa el text actual en el portapapers. Mantenint premuda la tecla &Ctrl; mentre es prem el &BMR; s'enganxa el text i s'envia a &konsole;.

  Si teniu un ratolí amb tan sols dos botons, al prémer ambdós a la vegada s'emula el &BMR; d'un ratolí amb tres botons.

  Si teniu una roda en el lloc d'un botó central, a &konsole; la podeu emprar per a moure la barra de desplaçament.

Dreta

  Els ítems que apareixen en el menú quan es prem el &BDR; depenen de que la barra de menú sigui visible.

  Amb la barra de menú visible: Els ítems Estableix final de selecció, Copia, Enganxa, Envia senyal, Separa la sessió, Reanomena la sessió..., Punts i Tanca la sessió.

  Amb la barra de menú oculta: Els ítems Mostra barra de menú, Estableix final de selecció, Copia, Enganxa, Envia senyal, Sessió nova, Separa la sessió, Reanomena la sessió..., Punts, Arranjament i Tanca la sessió.

  En una aplicació amb suport de ratolí, prémer la tecla &Maj; a la vegada que el &BDR; per a que aparegui el menú emergent.

  Prémer la tecla &Ctrl; a la vegada que el &BDR; farà aparèixer el menú Sessió.

### Barra de menú

La barra de menú es situa a la part superior de la finestra de &konsole;. La barra de menú es pot activar i desactivar amb la tecla &Alt;.

Arranjament Oculta la barra de menú permet ocultar la barra de menú. Quan la barra de menú està oculta es pot fer que es torni a mostrar fent clic dret en la finestra o prement &Alt;&Ctrl;M , el qual és la drecera per omissió per a activar la barra de menú. Aquesta operació també es pot fer assignant-li una drecera.

#### Menú Sessió

Sessió Nou intèrpret de comandaments

  Obre una nova sessió amb un terminal per a interpretar comandaments. També es pot usar &Alt;&Ctrl;N , tal i com es descriu més detalladament a continuació.

Sessió Nova finestra

  Obre un finestra de &konsole; nova.

Sessió Nova consola Linux

  Obre una nova sessió emulant un sistema &Linux; de tan sols text.

  Consulteu el fitxer `README.linux.console` en el paquet &konsole; per a obtenir informació més detallada de les diferències entre una consola &Linux; i una consola &UNIX; típica. Si això no us diu res, no us capfiqueu.

Sessió Nou Midnight Commander

  Obre una nova sessió amb el gestor de fitxers Midnight Commander.

  Aquesta entrada del menú tan sols serà visible si Midnight Commander (`mc`) està instal·lat en el vostre sistema.

Sessió Nou Midnight Commander root

  Obre una nova sessió amb el gestor de fitxers Midnight Commander, com a usuari root.

  Després de preguntar per la contrasenya de root, apareix el símbol #, indicant que l'usuari està treballant amb privilegis de root. A vegades és necessari treballar com a root però s'ha de tenir cura per estalviar desperfectes accidentals.

  Aquesta entrada del menú tan sols serà visible si Midnight Commander (`mc`) està instal·lat en el vostre sistema.

Sessió Nou intèrpret de comandaments root

  Obre una nova sessió amb un terminal per a interpretar comandaments, com a usuari root.

  Després de preguntar per la contrasenya de root, apareix el símbol #, indicant que l'usuari està treballant amb privilegis de root. A vegades és necessari per a instal·lar nou programari i algunes coses quant al manteniment del sistema, però s'ha de tenir cura per estalviar desperfectes accidentals.

Sessió Nova pantalla de la sessió

  Obre una nova sessió amb el gestor de terminals virtuals Screen. Consulteu ``man` `screen`` per a obtenir més informació.

  Aquesta entrada de menú tan sols estarà visible si Screen (`screen`) està instal·lat en el vostre sistema.

Sessió Nou intèrpret en el punt

  Inicia un nou terminal per a interpretar comandaments en una carpeta escollida des de la llista de punts.

Sessió Imprimeix la pantalla...

  Imprimeix la pantalla actual.

Sessió Tanca la sessió

  Tanca la sessió actual.

Sessió Abandona

  Surt de &konsole;, tancant totes les sessions i qualsevol aplicació carregada des d'aquestes.

També podeu obrir una nova sessió amb una drecera de teclat. Per omissió, s'usa &Alt;&Ctrl;N. També podeu definir les vostres pròpies dreceres de teclat mitjançant el menú Arranjament Configura dreceres....

La llista de sessions disponibles reflecteix quins programes estan instal·lats amb qualsevol sessió definida per l'usuari. La llista de sessions estarà ordenada alfabèticament per a una vista ràpida.

Finalment, tingueu en compte que els tipus de sessió es poden modificar, i es poden crear nous tipus, usant la caixa de diàleg que apareixerà desprès seleccionar l'entrada de menú Arranjament Configura Konsole....

#### Menú Edita

Edita Copia

  Copia el text seleccionat al portapapers.

&Maj;Insert Edita Enganxa

  Enganxa text des del portapapers a la localització del cursor.

Edita Envia senyal

  Envia la senyal especificada al procés de l'intèrpret de comandaments, o a d'altres processos, que s'han executat quan s'ha iniciat la nova sessió.

  Les senyals actualment disponibles són:

  STOP | Suspèn la tasca
  CONT | Continua la tasca
  HUP | Detecta una penjada en el terminal controlat, o la mort del procés controlat
  INT | interromp la tasca
  TERM | Acaba la tasca
  KILL | Mata la tasca
  USR1 | senyal d'usuari 1
  USR2 | senyal d'usuari 2

  Referiu-vos a les pàgines del manual del vostre sistema per a obtenir més detalls executant el comandament ``man` `7 signal``.

&Alt;&Ctrl;U Edita Pujada amb ZModem...

  Envia un fitxer a través de ZModem.

Edita Neteja terminal

  Neteja tot el text des de la finestra de la sessió.

Edita Reinicia i neteja terminal

  Reinicia i neteja la finestra de la sessió.

Edita Cerca en l'historial...

  Cerca una paraula o cadena de text en la historial actual. Les opcions permeten recerques distingint majúscules/minúscules o recerques cap enrere, i l'ús d'expressions regulars. Prémer el botó Edita per a usar l'editor gràfic de &kde; per a crear una expressió regular.

Edita Cerca següent

  Es mou cap a la següent aparició del text que s'està cercant.

Edita Cerca anterior

  Es mou cap a l'anterior aparició del text que s'està cercant.

Edita Desa historial com...

  Desa l'historial actual com a un fitxer de text.

Edita Neteja historial

  Neteja l'historial per a la sessió actual.

Edita Neteja tot l'historial

  Neteja l'historial per a totes les sessions.

#### Menú Visualitza

Visualitza Separa la sessió

  Obre la sessió actual en una finestra separada. El nom de la sessió es mostra en la barra de títol de la nova finestra.

&Alt;&Ctrl;S Visualitza Reanomena la sessió...

  Obre una caixa de diàleg que us permet canviar el nom de la sessió actual. El nom es mostra en la pestanya de la sessió. &Alt;&Ctrl;S també es pot usar.

Visualitza Vigila l'activitat

  Marca la sessió actual de manera que mostra una alerta si es produeix activitat. Es mostra una icona amb una bombeta de llum clara en la pestanya de la sessió. Useu-la com a avís per si succeeix quelcom mentre treballeu en una altra sessió. El temps a transcórrer abans que es mostri una alerta es pot modificar a les preferències de &konsole;.

Visualitza Vigila el silenci

  Etiqueta la sessió actual de manera que mostra una alerta si no es produeix activitat durant 10 segons. Es mostra una icona amb una bombeta de llum negra en la pestanya de la sessió. Useu-la com a avís per si s'atura una tasca mentre esteu treballant en una altra sessió. El temps a transcórrer abans que es mostri una alerta es pot modificar a les preferències de &konsole;.

Visualitza Envia entrada a totes les sessions

  Marca la sessió actual de manera que qualsevol comandament introduït serà enviat a totes les sessions. La sessió tindrà una petita icona en la seva pestanya per a recordar que tingueu cura amb el que hi introduïu, ``rm` `-rf *``, per exemple, és una mala idea.

&Ctrl;&Maj;Esquerra Visualitza Mou la sessió a l'esquerra

  Mou la pestanya de la sessió actual una pestanya a l'esquerra.

&Ctrl;&Maj;Dreta Visualitza Mou la sessió a la dreta

  Mou la pestanya de la sessió actual una pestanya a la dreta.

  &Maj; Esquerra i &Maj; Dreta serveix per a moure-us entre les diferents sessions.

Visualitza Icones de la sessió...

  A la part inferior del menú hi ha una llista de les sessions disponibles. Seleccionar-ne una farà activa aquesta sessió.

  També podeu usar les tecles de cursor &Maj;Esquerra/&Maj;Dreta per a circular a través de les sessions disponibles.

#### El menú Punts

Punts Afegeix punt

  Afegeix la localització actual a la llista de punts.

Punts Edita punts

  Edita la llista de punts.

Punts Nova carpeta de punts...

  Afegeix una nova carpeta a la llista de punts.

La llista de punts es mostra a la part inferior del menú. Seleccioneu un punt al que canviar aquesta localització.

Podeu usar l'editor de punts per afegir manualment les URL com ssh://usuari@màquina o telnet://màquina per a obrir connexions remotes.

#### Menú Arranjament

Arranjament Oculta la barra de menú

  Oculta la barra de menú.

Arranjament Barra de pestanyes

  Controla la visibilitat/localització de la barra de pestanyes: Oculta, Dalt o Baix.

Arranjament Barra de desplaçament

  Controla la visibilitat/localització de la barra de desplaçament: Oculta, Esquerra o Dreta.

&Ctrl;&Maj;F Arranjament Mode pantalla sencera

  Canvia la finestra a pantalla sencera o a mida normal.

Arranjament Timbre

  Configura el timbre: Timbre de sistema, Notificació del sistema, Avís visible o Cap.

Arranjament Font

  Estableix la mida de font: Engrandeix la font o Empetiteix la font.

  Useu l'opció Escull... per associar qualsevol combinació de font, mida i estil.

Arranjament Codificació

  Selecciona la codificació de caràcters.

Arranjament Teclat

  Escull el mapa de teclat desitjat.

  La llista d'aquests mapes de teclat s'agafa de `$KDEDIR/share/apps/konsole/*.keytab`. El fitxer `$KDEDIR/share/apps/konsole/README.KeyTab` descriu el format `*.keytab` amb més detall. Afegiu o modifiqueu aquests fitxers per ajustar-los a les vostres necessitats. El valor per omissió de keytab s'agafa des de `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Arranjament Esquema

  Estableix els colors per al text i el fons.

  La llista s'agafa des de `$KDEDIR/share/apps/konsole/*.schema`. El fitxer `$KDEDIR/share/apps/konsole/README.Schema` descriu el format `*.schema` en més detall. Afegiu o modifiqueu aquests fitxers per a que s'ajustin a les vostres necessitats. També podeu crear esquemes personalitzats des del diàleg de preferències a Arranjament Configura &konsole;...

Arranjament Mida

  Estableix la mida de l'àrea de text (indicat en columnes x files).

Arranjament Historial...

  Obre un diàleg a on podeu configurar l'historial. La caixa Habilita activa/desactiva el desat de línies que han desaparegut per la part superior de la finestra. Podeu introduir el Nombre de línies a recordar en el camp de text, o usar el botó incremental per augmentar o disminuir el nombre en passes de 100 línies. El botó Omissió reiniciarà el valor de l'historial a 1.000 línies. Seleccionant Estableix sense límit es desarà tot l'historial. Premeu Bé per a desar els vostres canvis, o Cancel·la per a tancar el diàleg sense desar les vostres opcions de configuració.

Arranjament Desa com a predeterminat

  Desa les opcions de configuració actuals com a nous valors per omissió.

Arranjament Desa el perfil de sessions...

  Desa el conjunt de sessions actuals sota el nom que escolliu. El perfil es pot usar per a iniciar &konsole; des de la línia de comandaments amb `--profile` i el nom del perfil.

Arranjament Configura notificacions...

  Personalitza les notificacions per a &konsole;.

Arranjament Configura dreceres...

  Personalitza les dreceres de teclat per als comandaments de &konsole;.

Arranjament Configura &konsole;...

  Obre el mòdul &centrecontrol;, permetent-vos molts canvis addicionals a la interfície i comportament de &konsole;, incloent la creació d'esquemes personalitzats i la modificació de les sessions disponibles.

#### Menú Ajuda

Ajuda Manual de Konsole

  Obre la taula de continguts d'aquest document.

Ajuda Consell del dia

  Mostra una consell útil sobre l'ús de &konsole;. Marqueu la caixa Mostra a l'inici per a mostrar un consell cada vegada que s'iniciï &konsole;.

Ajuda Informe d'errors...

  Envia un informe d'error o una petició de característica per a &konsole;.

Ajuda Quant a Konsole

  Informació sobre l'autor de &konsole;

Ajuda Quant a KDE

  Informació sobre el projecte &kde;

### Barra de pestanyes

La barra de pestanyes permet la existència de múltiples sessions de terminal associades a una sola finestra de &konsole;.

Imatge de la barra de pestanyes
Imatge de la barra de pestanyes

&konsole; amb 4 sessions de terminal obertes amb la barra de pestanyes en la part superior.

L'ítem de menú Arranjament Barra de pestanyes permet que la barra de pestanyes es mogui cap a Dalt o Baix. La barra de pestanyes també es pot ocultar seleccionant Oculta.

En la part esquerra de la barra de pestanyes hi ha un botó que us permet efectuar múltiples accions.

- Feu clic sobre el botó per a iniciar una nova sessió estàndard.

- Fer clic i mantenir premut el botó farà aparèixer una llista de sessions a seleccionar.

- Clic dret sobre el botó (o en qualsevol espai buit de la barra de pestanyes) farà aparèixer un menú per a establir certes opcions:

  - Barra de pestanyes: Oculta, Dalt, Baix.

  - Opcions de les pestanyes: Text i icones, Només text, Només icones.

  - Ocultació dinàmica ocultarà la barra de pestanyes quan tan sols hi hagi una sessió oberta.

  - Auto redimensiona les pestanyes redimensionarà automàticament les pestanyes per a que ocupin tot l'ample de la barra de pestanyes.

En la part dreta de la barra de pestanyes es troba un botó que tanca la sessió actual. Aquest botó es deshabilitarà quan tan sols hi hagi una sessió en execució.

Fer clic dret sobre qualsevol pestanya farà aparèixer un altra menú:

- Separa la sessió

- Reanomena la sessió...

- Vigila l'activitat

- Vigila el silenci

- Envia entrada a totes les sessions

- Selecciona color de la pestanya...

- Canvia a la pestanya...

- Tanca la sessió

### Opcions de la línia de comandaments

Quan s'inicia &konsole; des de la línia de comandaments, es poden especificar diverses opcions per a modificar el seu comportament.

`--help`

  Llista les diverses opcions.

`-e` `comandament`

  Executa `comandament` en comptes de l'intèrpret de comandaments normal.

  Qualsevol argument després de `comandament` serà passat al `comandament`, no a &konsole;.

`-keytab` `fitxer`

  Inicia &konsole; usant un fitxer .keytab específic per a personalitzar les associacions de tecla.

`--keytabs`

  Llista els tipus de distribucions de teclat disponibles.

`--ls`

  Inicia amb un entorn de terminal d'accés. El que farà dependrà del vostre sistema, però generalment vol dir que fitxers com `~/.profile` o `~/.bash_profile` seran llegits. (Si això us resulta incomprensible, no us capfiqueu, però enrecordeu-vos-en per a quan us adoneu de que us resulta necessari).

`--name` `nom`

  Estableix el nom que apareix en la barra de títol.

`--noclose`

  Preveu que &konsole; tanqui quan s'envia un comandament ``exit`` a l'única sessió en la finestra.

`--noframe`

  Inicia &konsole; sense un marc.

`--nohist`

  Deshabilita el desat de línies que es desplacen cap a amunt desapareixent de la finestra.

`--nomenubar`

  Inicia &konsole; amb la barra de menú oculta.

`--noresize`

  Deshabilita el redimensiona de la finestra del terminal.

`--noscrollbar`

  Inicia &konsole; amb la barra de desplaçament oculta.

`--notabbar`

  Inicia &konsole; amb la barra de menú oculta.

`--noxft`

  Inicia &konsole; sense el suavitzat Xft. El suavitzat d'una font petita pot dificultar la lectura.

`--profile` `fitxer`

  Inicia &konsole; usant un conjunt de sessions desades.

`--profiles`

  Llista els perfils disponibles.

`--schema` `nom` | `fitxer`

  Inicia &konsole; usant l'esquema 'nom' o l'especificat en 'fitxer' per a personalitzar l'aparença.

`--schemata`

  Llista els esquemes disponibles.

`--script`

  Habilita les funcions &Qt; &DCOP; esteses.

`-T` `títol`

  Estableix el títol de la finestra.

`--tn` `terminal`

  Configura la variable d'entorn TERM amb el valor especificat. Consulteu el ``man` `xterm`` per a obtenir més informació sobre TERM.

`--type` `tipus`

  Inicia una sessió del tipus seleccionat en comptes de la per omissió.

`--types`

  Llista tots els tipus de sessió disponibles.

`--vt_sz` `CCxLL`

  Inicia una finestra de terminal amb CC columnes i LL línies.

`--workdir` `dir`

  Obre amb `dir` com a carpeta de treball.

Exemples:

    &percnt; konsole --vt_sz 90x25 --nohist

Inicia una finestra de &konsole; amb 90 columnes i 25 files, sense historial

    &percnt; konsole --noclose -e echo_args "Hola, gràcies per usar &konsole;!"

Inicia una finestra de &konsole; amb el text "Hola, gràcies per usar &konsole;!"

`echo_args` és un simple script de Bash:

    #!/bin/bash
    echo $*

&konsole; també accepta opcions genèriques de &Qt; i KDE:

`--help-qt`

  Llista les opcions específiques de &Qt;

Les següents opcions &Qt; no tenen efecte sobre &konsole;:

`--fn`, `--font` `nom_font`

  Defineix la font de l'aplicació

`--bg`, `--background` `color`

  Estableix el color de fons per omissió

`--fg`, `--foreground` `color`

  Estableix el color de primer pla per omissió

`--btn`, `--button` `color`

  Estableix el color per omissió del botó

`--help-kde`

  Llista les opcions específiques de &kde;

`--help-all`

  Llista totes les opcions

`--author`

  Mostra els noms dels autors

`-v,--version`

  Mostra el número de versió

`--license`

  Mostra informació de llicència

### &DCOP;

Per a una introducció a &DCOP;, i l'ús de `dcop`, si us plau, mireu L'entrada de la Guia d'usuari sobre &DCOP;.

## Crèdits i llicència

A partir de &kde; 3.4, &konsole; és mantinguda per en &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Anteriorment, &konsole; ha estat mantinguda per en &Waldo.Bastian; &Waldo.Bastian.mail;

L'aplicació &konsole; Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Aquest document ha estat escrit per en &Jonathan.Singer; &Jonathan.Singer.mail;

Aquest document ha estat actualitzat per a &kde; 3.4 per en &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Convertit originalment a DocBook SGML per en &Mike.McBride; i &Lauri.Watts;

Traductor de la documentació: &credits.Antoni.Bella;

&underFDL; &underGPL;

## &konsole; en plataformes no &Linux;

La informació per a construir &konsole; sobre plataformes diferents de &Linux; està disponible en el fitxer `README.ports` en el paquet de font base de &konsole;. Aquest proveeix una llista d'experts per a certes plataformes (Tru64, &Solaris;, OpenBSD) i requereix voluntaris per a d'altres plataformes &UNIX;.

Per a més informació, si us plau, visiteu aquests llocs web:

- &kde; a FreeBSD

- &kde; a Solaris

&documentation.index;